Documentation

 

 

Introduction

This article discusses the items supported for the latest version of SecureAuth products. Please contact support at support.secureauth.com for assistance or with any questions.

SecureAuth is constantly adding support for new browsers and devices to the product. If you do not see the required OS or browser listed here, please make sure to visit this document often to see if it has been added.



Products and Components

Updated November 28, 2018

Support for SecureAuth IdP version 9.0.1 was deprecated on August 24, 2018

Support for SecureAuth IdP version 9.0.2 will be deprecated on December 19, 2018

Operating Systems
Operating System NameOS Version SupportBrowser SupportSupported by SecureAuth IdPNotes
9.0.1+9.1.x9.2.x
Mac OS X 10.9 (Mavericks)10.9.0 +Safari, ChromeYesYesYesFor security reasons Mavericks versions less than 10.9.2 should not be used (see CVE-2014-1266)
Mac OS X 10.10 (Yosemite)10.10.2Safari, ChromeYesYesYes 
El Capitan10.11Safari, ChromeYesYesYes 
Windows 7AllIE, Chrome, FirefoxYesYesYes 
Windows 8AllIE, Chrome, FirefoxYesYesYes 
Windows 8.1AllIE, Chrome, FirefoxYesYesYes 
Windows 10AllIE, Chrome, FirefoxYesYesYes 
Chrome OS (Chromebook & Chromebox)Chrome OS 41 - 45ChromeYesYesYesAt this time, SecureAuth only supports native X.509 v3 and Fingerprint workflows with Chrome OS – Java workflows are not supported
Chrome OS (Chromebook & Chromebox)Chrome OS 46 - 54ChromeYesYesYesAt this time, SecureAuth only supports native X.509 v3 and Fingerprint workflows with Chrome OS – Java workflows are not supported
Chrome OS (Chromebook & Chromebox)Chrome OS 55ChromeYesYesYesAt this time, SecureAuth only supports native X.509 v3 and Fingerprint workflows with Chrome OS – Java workflows are not supported
Authenticate App

Android Mobile DeviceiOS Mobile DeviceAndroid
Wear OS Paired Watch
Apple Series Paired Watch
Authenticate
App Version

4.4
(KitKat)

5.x
(Lollipop)

6.x
(Marshmallow)

7.x
(Nougat)

8.x
(Oreo)
iOS
8.x
iOS
9.x
iOS
10.x
iOS
11.x

AW
w1

AW
w2

Apple
Series 1
Apple
Series 2
5.0.xxxxx xxxxxxxx
5.1.x xxxx  xxxxx
(watchOS 4)
x
(watchOS 4)
5.2.xxxxxx  xxxxx
(watchOS 4)
x
(watchOS 4)
Browser
Desktop Browser (IdP + Cert)VersionSupported by SecureAuth IdPNotes
9.0.1+9.1.x9.2.x
Microsoft Internet Explorer10+YesYesYes 
Microsoft Edge41+YesYesYesCertificate delivery not supported
Mozilla Firefox31+YesYesYes 
Apple Safari8+YesYesYes 
Google Chrome40+Yes *Yes **Yes ***

* Versions 40 - 47 not supported for 9.0.2+

** Versions 47 and earlier will not work with 9.1.x

*** Versions 47 and earlier will not work with 9.2.x

Version 39 and later running on OS X will not work with Java certificate delivery functionality

Java
Product ComponentVersionSupported by SecureAuth IdPNotes
9.0.1+9.1.x9.2.x
Java Certificate Applet8YesYesYesGoogle Chrome on OS X versions 39+ are not supported
JRE for RADIUS Server 1.0.1.108YesNoNo 
JRE for RADIUS Server 2.0.18YesYesYes 
Refer to SecureAuth IdP Java Troubleshooting for more information
Directories

User Directory

VersionSupported by SecureAuth IdP
9.0.1+9.1.x9.2.x
Active Directory (AD)2003 - 2012R2YesYesYes
LDAP v3v3YesYesYes
AD-LDS2008, 2012YesYesYes
Lotus Dominov9YesYesYes
MS-SQL2005 +YesYesYes
ODBCAll SecureAuth IdP Supported OS PlatformsYesYesYes
ASPNETDB.NET2 +YesYesYes
SecureAuth IdP Web Service (Multi-data Store)SecureAuth IdP 7.5 +YesYesYes
Sun ONE (ODSEE)11.1.1.5.0YesYesYes
Azure AD2015YesYesYes
Oracle Database11.2, 12.1YesYesYes
Novell eDirectory8.8 SP8YesYesYes
Identity Types
Accepted Identity TypesVersionSecureAuth IdP Support
9.0.1+9.1.x9.2.x
SecureAuth Web SSO Token2.0 - 4.5YesYesYes
SAML2.0YesYesYes
OpenID2.0YesYesYes
Integrated Windows - NTLM / Kerberos2003 - 2012R2YesYesYes
X.509 CertificateX.509 v3YesYesYes
Common Access Card (CAC)N/AYesYesYes
Personal Identity Verification (PIV) CardN/AYesYesYes
SmartcardN/AYesYesYes
Cisco ISE / pxGrid1.3YesYesYes
Behavioral BiometricsN/AYesYesYes
SSO / Post-authentication Actions
Post-authentication ActionVersionSupported by SecureAuth IdPNotes
9.0.1+9.1.x9.2.x
SAML1.1, 2.0YesYesYes1.1 support is limited
OpenID2.0YesYesYes 
OpenID Connect (limited profile support)1.0YesYesYes 
OpenID Connect (full profile support)1.0YesYesYes 
WS-Federation1.2, 1.3YesYesYes 
WS-Trust1.2, 1.3YesYesYes 
MobileSupported iOS / Android VersionsYesYesYesSince the mobile app uses a browser for authentication, multiple mobile apps can read the authentication cookie to enable SSO
Web Token (FBA)Supported BrowsersYesYesYes 
X.509 Certificate (Java and Native)SecureAuth CAYesYesYes 
OAuth2.0YesYesYes 
Form-basedN/AYesYesYes 
Login for Endpoints (Login for Windows / Login for Mac)

Physical and Logical PC and
Server Protection (Login for Windows)

Supported by SecureAuth IdPNotes
9.2.x
Windows 7 32-bit / 64-bitYesWindows OS version
Windows 8.1 32-bit / 64-bitYesWindows OS version
Windows 10 64-bitYesWindows OS version
Windows 2008R2 64-bitYesWindows Server OS version
Windows 2012 64-bitYesWindows Server OS version
Windows 2012R2 64-bitYesWindows Server OS version
Windows 2016 64-bitYesWindows Server OS version

Physical and Logical PC and
Server Protection (Login for Mac)

Supported by SecureAuth IdPNotes
9.2.x
macOS High Sierra 10.13.2Yesminimum macOS version
macOS Sierra 10.12.6Yesminimum macOS version 
Credential Provider

Physical and Logical PC and
Server Protection (Credential Provider)

Supported by SecureAuth IdPNotes
9.0.1+9.1.x
Windows 7 32-bit / 64-bitYesYes 
Windows 8 32-bit / 64-bitYesYes 
Windows 8.1 32-bit / 64-bitYesYes 
Windows 10 32-bit / 64-bitYesYes 
Windows 2008 32-bit / 64-bitYesYesTLS 1.1 or 1.2 is required for IdP version 9.x
Windows 2008R2 64-bitYesYes 
Windows 2012 64-bitYesYes 
Windows 2012R2 64-bitYesYes 
Windows 2016 64-bitYesYes 
YubiKey
YubiKey ProductsSupported by SecureAuth IdP
9.0.1+9.1.x9.2.x
YubiKey 4YesYesYes
YubiKey 4 NanoYesYesYes
YubiKey NeoYesYesYes
YubiKey Neo-NYesYesYes
YubiKey Edge / YubiKey Edge-NYesYesYes
YubiKey Standard / YubiKey NanoYesYesYes